@ECHO OFF
ECHO Setting security permissions on system volume.  Please wait...

REM ** Grant local Administrators and SYSTEM full control
REM ** Grant local Users Read access to the root of the system volume.
Cacls X:\ /c /g Administrators:F SYSTEM:F Users:R

REM ** Users do not need access to the system boot files
Cacls X:\boot.ini /e /c /r Users
Cacls X:\config.sys /e /c /r Users
Cacls X:\io.sys /e /c /r Users
Cacls X:\msdos.sys /e /c /r Users
Cacls X:\ntdetect.com /e /c /r Users
Cacls X:\ntldr /e /c /r Users

REM ** Revoke Everyone access to Documents and Settings
Cacls "X:\Documents and Settings" /e /c /r Everyone
Cacls "X:\Documents and Settings\All Users" /e /c /r Everyone
Cacls "X:\Documents and Settings\All Users\*" /e /c /r Everyone
Cacls "X:\Documents and Settings\Default User" /e /c /r Everyone
Cacls "X:\Documents and Settings\Default User\*" /e /c /r Everyone

REM ** Revoke Everyone access to WinNT folder
Cacls X:\WINNT /e /c /r Everyone
