@ECHO OFF
ECHO Setting security permissions on system volume.  Please wait...

REM ** Grant local Administrators and SYSTEM full control
REM ** Grant local Users Read access to the entire volume
REM ** Permissions will then be revoked if necessary.
Cacls X:\ /c /g Administrators:F SYSTEM:F Users:R
Cacls X:\* /T /c /g Administrators:F SYSTEM:F Users:R < yes.txt

REM ** Users do not need access to the system boot files
Cacls X:\boot.ini /e /c /r Users
Cacls X:\ntdetect.com /e /c /r Users
Cacls X:\ntldr /e /c /r Users

REM *** Revoke user access as required ***
Cacls X:\WTSRV\Config /e /c /T /r Users
Cacls X:\WTSRV\Ctxundo /e /c /T /r Users
Cacls X:\WTSRV\ICA /e /c /T /r Users
Cacls X:\WTSRV\INF /e /c /T /r Users

Cacls X:\WTSRV\Profiles\Administrator /e /c /T /r Users
Cacls X:\WTSRV\Repair /e /c /T /r Users
Cacls X:\WTSRV\System32\Clients /e /c /T /r Users
Cacls X:\WTSRV\System32\Drivers /e /c /T /r Users
Cacls "X:\WTSRV\System32\ICA PassThrough" /e /c /T /r Users
Cacls X:\WTSRV\System32\lserver /e /c /T /r Users
Cacls X:\WTSRV\System32\ras /e /c /T /r Users
